Skip to main content
Resource Center/Hardware/Host Operations/SR-IOV Operations
GETSR-IOV OperationsSince 5.3.20SynchronousAuth Required

GetVfPciDeviceAvailableInL2Network

GetVfPciDeviceAvailableInL2Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • l2NetworkUuidsListRequired

    The L2 network UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • l2VfAvailableClustersMapRequired

    No description provided.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/l2-networks/vf-pci-devices-available

/zstack/v1/l2-networks/vf-pci-devices-available

Operation ID

GetVfPciDeviceAvailableInL2Network

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l2-networks/vf-pci-devices-available?l2NetworkUuids=<l2NetworkUuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "l2VfAvailableClusters": { "76a2d0892dbb3047adc9f27227a47a24": [ { "clusterHostAvailableVfs": { "cc8a747f6148357182ccbc922baf3611": { "ef8963015cb337e6b6e9ded639e74985": 10 } } } ] } }

Change History

This API has no change history records yet.

View all change history